### A free/open-source library for quantitative finance

SurvivalProbabilityStructure Class Reference

Hazard-rate term structure. More...

`#include <ql/termstructures/credit/survivalprobabilitystructure.hpp>`

Inheritance diagram for SurvivalProbabilityStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| SurvivalProbabilityStructure (const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| SurvivalProbabilityStructure (const Date &referenceDate, const Calendar &cal=Calendar(), const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| SurvivalProbabilityStructure (Natural settlementDays, const Calendar &cal, const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())

## Protected Member Functions

DefaultProbabilityTermStructure implementation
Real | defaultDensityImpl (Time) const
| instantaneous default density at a given time

## Detailed Description

Hazard-rate term structure.

This abstract class acts as an adapter to DefaultProbabilityTermStructure allowing the programmer to implement only the `survivalProbabilityImpl(Time)` method in derived classes.

Hazard rates and default densities are calculated from survival probabilities.

## Member Function Documentation

Real defaultDensityImpl | ( | Time |  | ) | const`[protected, virtual]`

instantaneous default density at a given time

implemented in terms of the survival probability as

Warning:
  This implementation uses numerical differentiation, which might be inefficient and inaccurate. Derived classes should override it if a more efficient implementation is available.

Implements DefaultProbabilityTermStructure.

Reimplemented in InterpolatedSurvivalProbabilityCurve< Interpolator >.